Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
triggers
/
{trigger_id}
Get Trigger
curl --request GET \
  --url https://api.letpiper.com/v1/orgs/{org_id}/triggers/{trigger_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "trigger_type": "scheduled",
  "status": "active",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "message": "<string>",
  "cron_expression": "<string>",
  "timezone": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "webhook_url": "<string>"
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required
trigger_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
name
string
required
trigger_type
enum<string>
required
Available options:
scheduled,
webhook
status
enum<string>
required
Available options:
active,
inactive
organization_id
string<uuid>
required
agent_id
string<uuid> | null
required
message
string | null
required
cron_expression
string | null
required
timezone
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
webhook_url
string | null